import { User } from '@/models';
export declare class Comment {
    constructor();
    id: string;
    authorId: string;
    timestamp: number;
    html: string;
    replies?: Comment[];
    reactions?: Record<string, string[]>;
}
export declare function getCommentElementId(author: User, timestamp: number): string;
export declare function getCommentElementUrl(author: User, timestamp: number): string;
